# ConfirmGui
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.gui.objects.types

## Class ConfirmGui

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.gui.objects.CustomGui
  - - me.legofreak107.vehiclesplus.libraries.gui.objects.types.ConfirmGui

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class ConfirmGui
    extends CustomGui
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`ConfirmGui(org.bukkit.entity.Player player, java.lang.String title)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `confirm()`
`void` `deny()`
`void` `onClick(org.bukkit.event.inventory.InventoryClickEvent e)`
`void` `onClose(org.bukkit.event.inventory.InventoryCloseEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfirmGui

    public ConfirmGui(org.bukkit.entity.Player player,
                      java.lang.String title)

### Method Detail

#### confirm

    public void confirm()

#### deny

    public void deny()

#### onClose

    public void onClose(org.bukkit.event.inventory.InventoryCloseEvent e)

#### onClick

    public void onClick(org.bukkit.event.inventory.InventoryClickEvent e)